import request from '@/utils/request'

// 查询参会报名列表
export function listConferenceRegistration(query) {
  return request({
    url: '/hezhi/conferenceRegistration/list',
    method: 'get',
    params: query
  })
}

// 查询参会报名详细
export function getConferenceRegistration(conferenceRegistrationId) {
  return request({
    url: '/hezhi/conferenceRegistration/' + conferenceRegistrationId,
    method: 'get'
  })
}

// 新增参会报名
export function addConferenceRegistration(data) {
  return request({
    url: '/hezhi/conferenceRegistration',
    method: 'post',
    data: data
  })
}

// 修改参会报名
export function updateConferenceRegistration(data) {
  return request({
    url: '/hezhi/conferenceRegistration',
    method: 'put',
    data: data
  })
}

// 删除参会报名
export function delConferenceRegistration(conferenceRegistrationId) {
  return request({
    url: '/hezhi/conferenceRegistration/' + conferenceRegistrationId,
    method: 'delete'
  })
}
